Update location attribute by code - Fabric
Update location attribute by code
cURL
curl --request PUT \
--url https://prod01.oms.fabric.inc/api/v2/location/attribute/{code} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '\n{
"code": "isBopis",
"name": "isBopis",
"description": "To check the status of the BOPIS(Buy-Online-Pickup-In-Store)",
"required": true
}
'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}"
payload = {
"code": "isBopis",
"name": "isBopis",
"description": "To check the status of the BOPIS(Buy-Online-Pickup-In-Store)",
"required": True
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: 'isBopis',
name: 'isBopis',
description: 'To check the status of the BOPIS(Buy-Online-Pickup-In-Store)',
required: true
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Status Codes
- 200: OK
- 400: Invalid payload or parameter
- 404: Resource not found
- 500: An internal error occurred
Example Response
{
"id": "622786ae0bdb19221a24fb61",
"code": "isBopis",
"name": "Is Bopis",
"description": "To check the status of the BOPIS (Buy-Online_Pickup-In-Store)",
"required": true
}
{
"message": "Invalid payload or parameter"
}
{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
x-site-context
- Type: string
- Required: Yes
- Description: The
x-site-context header is a JSON object that contains information about the source you wish to pull from.
Path Parameters
code
- Type: string
- Required: Yes
- Description: Attribute code